Adding Hashi & GCP repos to deb with sign keys.
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/deb/repo-add-gcp.bash Sat Mar 18 18:27:39 2023 +0200
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -e
+
+curl -o /usr/share/keyrings/gcp.gpg https://packages.cloud.google.com/apt/doc/apt-key.gpg
+
+cat <<EOF >/etc/apt/sources.list.d/gcp.list
+# https://cloud.google.com/compute/docs/troubleshooting/known-issues#keyexpired-2
+# For new GPG key use:
+# curl -o /usr/share/keyrings/gcp.gpg https://packages.cloud.google.com/apt/doc/apt-key.gpg
+
+deb [signed-by=/usr/share/keyrings/gcp.gpg] http://packages.cloud.google.com/apt cloud-sdk main
+EOF
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/deb/repo-add-hashicorp.bash Sat Mar 18 18:27:39 2023 +0200
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -e
+
+curl -o /usr/share/keyrings/hashicorp.asc https://apt.releases.hashicorp.com/gpg
+
+cat <<EOF >/etc/apt/sources.list.d/hashicorp.list
+# https://www.hashicorp.com/blog/announcing-the-hashicorp-linux-repository
+# https://www.hashicorp.com/official-packaging-guide
+# List of distro releases.
+# For new GPG key use:
+# curl -o /usr/share/keyrings/hashicorp.asc https://apt.releases.hashicorp.com/gpg
+
+deb [signed-by=/usr/share/keyrings/hashicorp.asc] https://apt.releases.hashicorp.com bookworm main
+EOF